summaryrefslogtreecommitdiff
path: root/tests/scripts/features/patternrules
diff options
context:
space:
mode:
authorPaul Smith <psmith@gnu.org>2005-07-04 03:50:59 +0000
committerPaul Smith <psmith@gnu.org>2005-07-04 03:50:59 +0000
commit0e30f46a624803455dcc74acf9a333666467d253 (patch)
treeff09a8876c7bd4e23d6265a49cdd6a8e3b85595c /tests/scripts/features/patternrules
parent7dfa2461c32020f56a55239830b280752b1748a1 (diff)
downloadgunmake-0e30f46a624803455dcc74acf9a333666467d253.tar.gz
Various fixes and updates from testers of the beta3 release (mostly Windows
and OS/2 changes).
Diffstat (limited to 'tests/scripts/features/patternrules')
-rw-r--r--tests/scripts/features/patternrules14
1 files changed, 7 insertions, 7 deletions
diff --git a/tests/scripts/features/patternrules b/tests/scripts/features/patternrules
index c5bdf0a..1753d4d 100644
--- a/tests/scripts/features/patternrules
+++ b/tests/scripts/features/patternrules
@@ -23,22 +23,22 @@ a: void
# 1 - existing file
%.1: void
- @false
+ @exit 1
%.1: #MAKEFILE#
- @true
+ @exit 0
# 2 - phony
%.2: void
- @false
+ @exit 1
%.2: 2.phony
- @true
+ @exit 0
.PHONY: 2.phony
# 3 - implicit-phony
%.3: void
- @false
+ @exit 1
%.3: 3.implicit-phony
- @true
+ @exit 0
3.implicit-phony:
',
@@ -110,7 +110,7 @@ $(dir)/foo.bar:
',
"dir=$dir",
-"make: *** [$dir/foo.bar] Error 1",
+"#MAKE#: *** [$dir/foo.bar] Error 1",
512);
unlink("$dir/foo.bar");